RESTinio

Classes | Public Member Functions | Public Attributes | List of all members
restinio::router::pcre2_details::match_results_t< Traits > Struct Template Referencefinal

A wrapper class for working with pcre match results. More...

`#include <pcre2_regex_engine.hpp>`

## Classes
struct | matched_item_descriptor_t

## Public Member Functions
| match_results_t ()
| ~match_results_t ()
| match_results_t (const match_results_t &)=delete
| match_results_t (match_results_t &&)=delete
match_results_t & | operator= (const match_results_t &)=delete
match_results_t & | operator= (match_results_t &&)=delete
matched_item_descriptor_t | operator[] (std::size_t i) const
std::size_t | size () const

## Public Attributes
std::size_t | m_size { 0 }
pcre2_match_data * | m_match_data

## Detailed Description

template<typename Traits>
struct restinio::router::pcre2_details::match_results_t< Traits >

A wrapper class for working with pcre match results.

Definition at line 34 of file pcre2_regex_engine.hpp.

## Constructor & Destructor Documentation

## ◆ match_results_t() [1/3]

template<typename Traits >

restinio::router::pcre2_details::match_results_t< Traits >::match_results_t | ( |  | ) |
| inline

Definition at line 36 of file pcre2_regex_engine.hpp.

## ◆ ~match_results_t()

template<typename Traits >

restinio::router::pcre2_details::match_results_t< Traits >::~match_results_t | ( |  | ) |
| inline

Definition at line 41 of file pcre2_regex_engine.hpp.

## ◆ match_results_t() [2/3]

template<typename Traits >

restinio::router::pcre2_details::match_results_t< Traits >::match_results_t | ( | const match_results_t< Traits > & |  | ) |
| delete

## ◆ match_results_t() [3/3]

template<typename Traits >

restinio::router::pcre2_details::match_results_t< Traits >::match_results_t | ( | match_results_t< Traits > && |  | ) |
| delete

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename Traits >

match_results_t & restinio::router::pcre2_details::match_results_t< Traits >::operator= | ( | const match_results_t< Traits > & |  | ) |
| delete

## ◆ operator=() [2/2]

template<typename Traits >

match_results_t & restinio::router::pcre2_details::match_results_t< Traits >::operator= | ( | match_results_t< Traits > && |  | ) |
| delete

## ◆ operator[]()

template<typename Traits >

matched_item_descriptor_t restinio::router::pcre2_details::match_results_t< Traits >::operator[] | ( | std::size_t | i | ) | const
| inline

Definition at line 66 of file pcre2_regex_engine.hpp.

## ◆ size()

template<typename Traits >

std::size_t restinio::router::pcre2_details::match_results_t< Traits >::size | ( |  | ) | const
| inline

Definition at line 75 of file pcre2_regex_engine.hpp.

## Member Data Documentation

## ◆ m_match_data

template<typename Traits >

pcre2_match_data* restinio::router::pcre2_details::match_results_t< Traits >::m_match_data

Definition at line 78 of file pcre2_regex_engine.hpp.

## ◆ m_size

template<typename Traits >

std::size_t restinio::router::pcre2_details::match_results_t< Traits >::m_size { 0 }

Definition at line 77 of file pcre2_regex_engine.hpp.

The documentation for this struct was generated from the following file:

- restinio/router/pcre2_regex_engine.hpp